Subject: Re: [xml2rfc] Why development version dislikes <!ENTITY RFC2119 PU BLIC ...

From: [email-masked]
Date: Wed, 27 Jul 2011 00:20:28 -0400

- original message -
Subject:	Re: [xml2rfc] Why development version dislikes <!ENTITY RFC2119 PUBLIC ...
From:	"Martin J. Dürst" <[email-masked]>
Date:		27/07/2011 2:23 am

Hello Elwyn,

On 2011/07/27 3:27, Elwyn Davies wrote:
> Julian Reschke wrote:
>> On 2011-07-26 17:24, Elwyn Davies wrote:
>>> Hi.
>>>
>>> Should have said draft is
>>> http://tools.ietf.org/id/draft-irtf-routing-reqs-11.xml

I'm a bit confused here. I have looked at this, and it only contains
<!DOCTYPE rfc SYSTEM "rfc2629.dtd">, no ENTITY declarations. Can you 
check again?

Regards,    Martin.
Hi, Marti.

I just reloaded it and it does indeed show 3 x PUBLIC and 10 x SYSTEM entities. They are in the page sourc/e if displayed directly with Firefox or if saving link.

regards,
Elwyn.

>>> I just tried out an old draft that I know contains some unusual
>>> features.
>>>
>>> Unfortunately it didn't get as far as checking on these.
>>>
>>> I get a lot of error messages related to entity references:
>>> My imported references are in the form
>>>
>>> *<!ENTITY* RFC3471 SYSTEM
>>> "http://xml.resource.org/public/rfc/bibxml/reference.RFC.3471.xml"*>
>>>
>>> The error messages are of the form:
>>> *ERROR: Unable to validate the XML document: INPUT
>>> Line 1406: IDREF attribute target references an unknown ID "RFC3471"
>>>
>>> The problem is doubtless that there are a number of different forms for
>>> these ENTITY definitions!
>>>
>>> Regards,
>>> Elwyn
>>
>> That may be an actual bug; my validators do not see any (serious)
>> problems with that source file.
>>
>> Best regards, Julian
> :-)
> Well it certainly used to go through earlier versions of xml2rfc! And
> the RFC Editor was happy with it!
>
> The main reason for trying that draft was that it uses a numbered list
> that spans many sections which is a relatively unusual feature.
>
> I know there is already a set of drafts/rfcs as test docs... Do we have
> a document that provides an (arcane) test of as many features as we
> think of?
>
> Maybe the project plan includes a set of automated regression tests of
> this kind - if not I think that would be a useful idea. Perhaps I ought
> to expand my example file that I did when I did the xml2rfc tutorial.
> Would that be helpful or has it been done already?
>
> Regards,
> Elwyn
> _______________________________________________
> xml2rfc mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/xml2rfc
>